#
# spec file for package python3-template-remover
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-template-remover
Version:        0.1.9
Release:        1.6
License:        Apache-2.0
Summary:        Remove the template markup from html files
Url:            http://github.com/deezer/template-remover
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/34/89/e440ff92cd0de37dbd7d7660fe75bb29e8674dae56bd2e20ab2ef3e377c8/template-remover-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-docopt >= 0.6.1
# test requirements
BuildRequires:  python3-nose >= 1.3
Requires:       python3-docopt >= 0.6.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
Template remover is a tool to remove the PHP and Jinja
markup from HTML files.

Many tools, like html tidy, are designed to parse and
analyze html files, however they do not play well when
there is language markup. This projects aims to be a
simple way of getting rid of those markups.

%prep
%setup -q -n template-remover-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/remove_template.py %{buildroot}%{_bindir}/remove_template-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/remove_template %{buildroot}%{_bindir}/remove_template

%check
nosetests

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/remove_template remove_template %{_bindir}/remove_template-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove remove_template %{_bindir}/remove_template-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst
%{_bindir}/remove_template
%{_bindir}/remove_template-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/remove_template
%{python3_sitelib}/*

%changelog
* Fri Oct 14 2016 toddrme2178@gmail.com
- Initial version
